Skip to main content
PUT
/
{alias}
/
catalog
/
skus
/
{skuId}
/
images
/
order
Atualizar ordem das imagens de um SKU
curl --request PUT \
  --url https://api.dooki.com.br/v2/{alias}/catalog/skus/{skuId}/images/order \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "orders": [
    "101941",
    "101940",
    "101938",
    "101934",
    "101933",
    "101932",
    "1107"
  ]
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/skus/{skuId}/images/order"

payload = { "orders": ["101941", "101940", "101938", "101934", "101933", "101932", "1107"] }
headers = {
    "User-Token": "<api-key>",
    "User-Secret-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    'User-Token': '<api-key>',
    'User-Secret-Key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({orders: ['101941', '101940', '101938', '101934', '101933', '101932', '1107']})
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/skus/{skuId}/images/order', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

skuId
integer
required

ID do SKU

Body

application/json

Dados para atualizar a ordem das imagens

Representa os dados necessários para alterar a ordem das imagens de um SKU

orders
object

Objeto contendo a nova ordem das imagens

Example:
[
  "101941",
  "101940",
  "101938",
  "101934",
  "101933",
  "101932",
  "1107"
]

Response

Ordem das imagens atualizada com sucesso